Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 84029

Summary: "Start Here" folder in Gnome empty, *subfolders* in KDE empty.
Product: [Retired] Red Hat Public Beta Reporter: Elton Woo <elwoo>
Component: kdebaseAssignee: Ngo Than <than>
Status: CLOSED RAWHIDE QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: phoebeCC: hp, wtogami
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: athlon   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-02-20 10:37:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 79578    

Description Elton Woo 2003-02-11 03:13:21 UTC
Description of problem:
Unable to configure desktop and other preferences. "Start Here" folder is empty
in Gnome
KDE shows some folders, but many are empty .

Version-Release number of selected component (if applicable):
gnome-desktop-2.2.0.1-2

How reproducible:
always

Steps to Reproduce:
1. Login to Gnome or
2. KDE desktop
3. Click on "Start Here" folder
    
Actual results:
      Folder is devoid of any contents, *or* in the KDE desktop contains some
sub-folders, many of which are empty

Expected results:
Folder should populate with symlinks to preferences, settings, and other
applications

Additional info:
The most recent updates from rawhide (Feb. 09) do not fix this problem.

Comment 1 Havoc Pennington 2003-02-12 18:46:51 UTC
gnome-vfs2 2.2.2-1 should address this, but we need to double check.

Comment 2 Elton Woo 2003-02-12 19:07:22 UTC
       The following are the packages on my system from rawhide (Feb. 11)
gnome-vfs-1.0.5-13.i386.rpm
gnome-vfs-extras-0.2.0-5.i386.rpm
gnome-vfs2-2.2.1-2.i386.rpm
gnome-vfs2-extras-0.99.9-1.i386.rpm

  Still no joy. Checking out File: gnome-vfs2-2.2.1-3.i386.rpm to see if this
finally fixes it. 

Comment 3 Havoc Pennington 2003-02-12 19:21:06 UTC
Note that nautilus will have to be restarted after gnome-vfs change. 
Also of course, gnome-vfs change will only fix it for gnome, the kde 
issue is separate. (Perhaps opening a bug against kdebase would be a good idea 
there)

Comment 4 Elton Woo 2003-02-12 19:58:21 UTC
The packages of Feb. 12 are taken from my /var/logs/rpmpkgs *after* the machine
was rebooted.
They were installed and the machine was shutdown for the night. I've now installed  
gnome-vfs2-2.2.1-3.i386 as of the moment that I am writing. Will restart
Nautilus and report.

Comment 5 Elton Woo 2003-02-12 20:47:43 UTC
Oh, joy! *Finally*!! I can now confirm that Gnome's "Start Here" folder is
nicely populated
with subfolders and icons. A random selection of items confirm that they are
functional.
 
The rectification appears to be only effective _after_ my installation of the
following packages
today:
gnome-vfs-1.0.5-13.i386.rpm
gnome-vfs-extras-0.2.0-5.i386.rpm
gnome-vfs2-2.2.1-2.i386.rpm
gnome-vfs2-extras-0.99.9-1.i386.rpm, with a subsequent reboot of the system, of
course.

        WRT the KDE desktop, I can also confirm that the Start Here folder is
nicely populated,
but with some empty folders or non-functional links. Viz: in KDE the following
folders are empty:

vfolder:/start-here.menu/Start Here/Applications/Documentation/MoreDocumentation/,
however, I only have the contents of the Phoebe-doc.iso installed, so this appears
to be logical behavoir. Likewise for these empty ones
vfolder:/start-here.menu/Start Here/Applications/System Settings/Server/MoreServer/
vfolder:/start-here.menu/Start Here/System Settings/MoreSystemSettings/

          However THIS folder and *all* subfolders are completely devoid of content:
vfolder:/start-here.menu/Start Here/Applications/Settings/
(all the subfolders within are empty, including KDE Components).

Some of the contents herein are non-functional:

file:/usr/share/control-center-2.0/capplets//appearance-properties.desktop

	The "All Applications" and "Applications" folder within
the following directory are non-functional:
file:/usr/share/desktop-menu-files/Applications.directory



Comment 6 Havoc Pennington 2003-02-12 21:20:37 UTC
Moving to kdebase, though some of those issues may be redhat-menus problems.

Comment 7 Ngo Than 2003-02-20 10:37:45 UTC
it's now fixed in 3.1-8.